#!/bin/sh
#buildscript for cdtool-2.1.8 mcb

STATIC="-static"
CFLAGS=" -pipe -Os ${STATIC} -mtune=i386 -Wall -ffunction-sections -fdata-sections -fomit-frame-pointer -mno-accumulate-outgoing-args "	
LDFLAGS="-Wl,--gc-sections,--sort-common,-s"
INCLUDE_DIRS=""
LIB_DIRS=""
LIBS=""
CC="diet gcc"

MCBNAME="mcb_cdtool"
rm -f *.o *.a ${MCBNAME}

BUILD_ALL=" cdtool.a cdctrl.a cdown.a cdtool2cddb.a"
 
CONTENT="cdtool cdctrl cdown cdtool2cddb cdclose cdeject cdinfo cdir cdpause cdplay cdreset cdshuffle cdstop cdvolume "
LIBS=" ${LIBS} "

CONF='-DMCB '${CONF}

for x in cdctrl.c cdtool2cddb.c commands.c hardware.c shuffle.c cdown.c cdtool.c database.c info.c util.c; do
	${CC} -c -I. -I.. ${CFLAGS} ${CONF} ${INCLUDE_DIRS} $x &
done
wait

#cdtool
ar -cru cdtool.a commands.o hardware.o database.o info.o shuffle.o util.o cdtool.o

#cdctrl
ar -cru cdctrl.a commands.o hardware.o database.o info.o shuffle.o util.o cdctrl.o 

#cdown
ar -cru cdown.a commands.o hardware.o database.o info.o shuffle.o util.o cdown.o 

#cdtool2cddb
ar -cru cdtool2cddb.a cdtool2cddb.o

# Build the MCB...
${CC} ${CFLAGS} -o ${MCBNAME} main_new.c ${BUILD_ALL} ${LDFLAGS} ${LIB_DIRS} ${LIBS}
wait
ls -l mcb_*
./mcb_*

rm -f *.o *.a

exit



#!/bin/sh
#buildscript for cdtool-2.1.8 mcb

STATIC="-static"
CFLAGS=" -pipe -Os ${STATIC} -mtune=i386 -Wall -ffunction-sections -fdata-sections -fomit-frame-pointer -mno-accumulate-outgoing-args "	
LDFLAGS="-Wl,--gc-sections,--sort-common,-s"
INCLUDE_DIRS=""
LIB_DIRS=""
LIBS=""
CC="diet gcc"

MCBNAME="mcb_cdtool"
rm -f *.o *.a ${MCBNAME}

BUILD_ALL=" cdtool.a cdctrl.a cdown.a cdtool2cddb.a"
 
CONTENT="cdtool cdctrl cdown cdtool2cddb cdclose cdeject cdinfo cdir cdpause cdplay cdreset cdshuffle cdstop cdvolume "
LIBS=" ${LIBS} "

CONF='-DMCB '${CONF}

for x in cdctrl.c cdtool2cddb.c commands.c hardware.c shuffle.c cdown.c cdtool.c database.c info.c util.c; do
	${CC} -c -I. -I.. ${CFLAGS} ${CONF} ${INCLUDE_DIRS} $x &
done
wait

#cdtool
ar -cru cdtool.a commands.o hardware.o database.o info.o shuffle.o util.o cdtool.o

#cdctrl
ar -cru cdctrl.a commands.o hardware.o database.o info.o shuffle.o util.o cdctrl.o 

#cdown
ar -cru cdown.a commands.o hardware.o database.o info.o shuffle.o util.o cdown.o 

#cdtool2cddb
ar -cru cdtool2cddb.a cdtool2cddb.o

# Build the MCB...
${CC} ${CFLAGS} -o ${MCBNAME} main_new.c ${BUILD_ALL} ${LDFLAGS} ${LIB_DIRS} ${LIBS}
wait
ls -l mcb_*
./mcb_*

rm -f *.o *.a

exit



#!/bin/sh
#buildscript for cdtool-2.1.8 mcb

STATIC="-static"
CFLAGS=" -pipe -Os ${STATIC} -mtune=i386 -Wall -ffunction-sections -fdata-sections -fomit-frame-pointer -mno-accumulate-outgoing-args "	
LDFLAGS="-Wl,--gc-sections,--sort-common,-s"
INCLUDE_DIRS=""
LIB_DIRS=""
LIBS=""
CC="diet gcc"

MCBNAME="mcb_cdtool"
rm -f *.o *.a ${MCBNAME}

BUILD_ALL=" cdtool.a cdctrl.a cdown.a cdtool2cddb.a"
 
CONTENT="cdtool cdctrl cdown cdtool2cddb cdclose cdeject cdinfo cdir cdpause cdplay cdreset cdshuffle cdstop cdvolume "
LIBS=" ${LIBS} "

CONF='-DMCB '${CONF}

for x in cdctrl.c cdtool2cddb.c commands.c hardware.c shuffle.c cdown.c cdtool.c database.c info.c util.c; do
	${CC} -c -I. -I.. ${CFLAGS} ${CONF} ${INCLUDE_DIRS} $x &
done
wait

#cdtool
ar -cru cdtool.a commands.o hardware.o database.o info.o shuffle.o util.o cdtool.o

#cdctrl
ar -cru cdctrl.a commands.o hardware.o database.o info.o shuffle.o util.o cdctrl.o 

#cdown
ar -cru cdown.a commands.o hardware.o database.o info.o shuffle.o util.o cdown.o 

#cdtool2cddb
ar -cru cdtool2cddb.a cdtool2cddb.o

# Build the MCB...
${CC} ${CFLAGS} -o ${MCBNAME} main_new.c ${BUILD_ALL} ${LDFLAGS} ${LIB_DIRS} ${LIBS}
wait
ls -l mcb_*
./mcb_*

rm -f *.o *.a

exit



