#include <stdio.h>
#include <string.h>
#include <unistd.h>
int symlink(const char *path1, const char *path2);
char  *basename(char *);
char  *dirname(char *);

int cdtool_main(int argc, char ** argv);
int cdctrl_main(int argc, char ** argv);
int cdown_main(int argc, char ** argv);
int cdtool2cddb_main(int argc, char ** argv);


int main(int argc, char ** argv) {
if(!strcmp(basename(argv[0]), "mcb_cdtool") && (argc == 1)) {
	fputs("mcb_cdtool multicall binary (build 2012-05-27).\n", stdout);
	fputs("Usage: [function] [arguments]...called via symlink to mcb_cdtool.\n", stdout);
	fputs("Use [mcb_cdtool --install] to install all the symlinks.\n", stdout);
	fputs("\n", stdout);
	fputs(" Currently defined functions:\n", stdout);
	fputs(" cdclose cdctrl cdeject cdinfo cdir cdown cdpause cdplay cdreset cdshuffle\n", stdout);
	fputs(" cdstop cdtool cdtool2cddb cdvolume\n", stdout);
}

else if(!strcmp(basename(argv[0]), "cdtool")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdclose")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdeject")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdinfo")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdir")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdpause")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdplay")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdreset")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdshuffle")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdstop")) {
    return(cdtool_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdvolume")) {
    return(cdtool_main(argc, argv));
	}	
else if(!strcmp(basename(argv[0]), "cdctrl")) {
    return(cdctrl_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdown")) {
    return(cdown_main(argc, argv));
	}
else if(!strcmp(basename(argv[0]), "cdtool2cddb")) {
    return(cdtool2cddb_main(argc, argv));
	}

else if(!strcmp(basename(argv[0]), "mcb_cdtool") && strcmp(argv[1], "--install") == 0) {
    fputs("Installing symlinks...",stdout);
    
symlink(basename(argv[0]), "cdtool");
symlink(basename(argv[0]), "cdclose");
symlink(basename(argv[0]), "cdeject");
symlink(basename(argv[0]), "cdinfo");
symlink(basename(argv[0]), "cdir");
symlink(basename(argv[0]), "cdpause");
symlink(basename(argv[0]), "cdplay");
symlink(basename(argv[0]), "cdreset");
symlink(basename(argv[0]), "cdshuffle");
symlink(basename(argv[0]), "cdstop");
symlink(basename(argv[0]), "cdvolume");

symlink(basename(argv[0]), "cdctrl");
symlink(basename(argv[0]), "cdown");
symlink(basename(argv[0]), "cdtool2cddb");
    fputs("done\n",stdout);
    }
    if(argc > 1 && !strcmp(argv[1], "--install") == 0){
    fputs(basename(argv[0]),stdout);
    fputs(": ",stdout);
    fputs(basename(argv[1]),stdout);
	fputs("...function not found.\n",stdout);
    }
    return(0);
}

